Bug 820386 - Including "all" in any of the attributes in target_content.xml does not work.
Including "all" in any of the attributes in target_content.xml does not work.
Status: CLOSED NOTABUG
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-all (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Mike Orazi
Rehana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 15:41 EDT by james labocki
Modified: 2012-08-29 10:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-24 16:16:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james labocki 2012-05-09 15:41:17 EDT
Description of problem:
Including "all" in any of the attributes in target_content.xml does not work. 

<include target='all' os='all' version='all' arch='all'> 

work in target_content.xml as described in 

http://aeolusproject.org/audrey.html#audrey_agent
Comment 1 jrd 2012-05-11 10:02:33 EDT
Is this a regression, or did "all" just never work?
Comment 2 james labocki 2012-05-11 10:12:19 EDT
I am not sure if "all" ever worked, but it is mentioned upstream in documentation. 

It's worth nothing that there is no mention of the target_content.xml in the product documentation that I have seen. Perhaps if we raise a bug against documentation asking for a better explanation of what is supported in target_content.xml we could avoid users looking at the upstream project. 

Of course, if it's not supported then I'd like to make this a RFE to support "all" in the target_content.xml. That functionality would really help users who want to deploy, for example, the candlepin RPM to all instances no matter where they are targeted.
Comment 3 james labocki 2012-05-11 10:12:58 EDT
s/nothing/noting/
Comment 4 Steve Loranz 2012-05-11 10:16:57 EDT
I didn't write this code, so I went looking to familiarize myself and saw this comment.

        # We go from most to least specific in this order:
        #   arch -> version -> os-> target
        # Note that at the moment we even allow an include statment that covers absolutely everything.
        # That is, one that doesn't even specify a target - this is to support a very simple call-time syntax

I take that to mean it should just be '<include>'
Comment 5 Ian McLeod 2012-05-24 15:34:00 EDT
Apologies for the delayed reply.  Steve is correct.  We never supported use of "all".  If this shows up in the upstream doco we should correct it.

The code as written supports "all" like behaviour only in the order described in the comment Steve quoted:

arch -> version -> os-> target

You accomplish this by omitting the field in question or, if you want to match everything, by omitting the fields altogether.

I am in agreement with James.  If this is a concern we should document it more clearly.

From the factory perspective I'm inclined to close this as NOTABUG.
Comment 6 Ian McLeod 2012-05-24 16:16:19 EDT
Closing as NOTABUG after discussions with jrd and chrisp.
Comment 7 Vinny Valdez 2012-05-29 17:10:16 EDT
Indeed, simply using '<include>' has the desired outcome, thanks.

Note You need to log in before you can comment on or make changes to this bug.